## freenet.support.CPUInformation
Class CPUID.IntelInfoImpl

    java.lang.Object
      freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
          freenet.support.CPUInformation.CPUID.IntelInfoImpl

All Implemented Interfaces:
  CPUInfo, IntelCPUInfo

Enclosing class:
  CPUID

    protected static class CPUID.IntelInfoImpl

extends CPUID.CPUIDCPUInfo
implements IntelCPUInfo

Constructor Summary
`protected` `CPUID.IntelInfoImpl()`

Method Summary
`java.lang.String` `getCPUModelString()`
`boolean` `IsPentium2Compatible()`
`boolean` `IsPentium3Compatible()`
`boolean` `IsPentium4Compatible()`
`boolean` `IsPentiumCompatible()`
`boolean` `IsPentiumMMXCompatible()`

Methods inherited from class freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Constructor Detail

### CPUID.IntelInfoImpl

    protected CPUID.IntelInfoImpl()

Method Detail

### IsPentiumCompatible

    public boolean IsPentiumCompatible()

  Specified by:
    `IsPentiumCompatible` in interface `IntelCPUInfo`
  Returns:
    true iff the CPU is at least a Pentium CPU.

### IsPentiumMMXCompatible

    public boolean IsPentiumMMXCompatible()

  Specified by:
    `IsPentiumMMXCompatible` in interface `IntelCPUInfo`
  Returns:
    true iff the CPU is at least a Pentium which implements the MMX instruction/feature set.

### IsPentium2Compatible

    public boolean IsPentium2Compatible()

  Specified by:
    `IsPentium2Compatible` in interface `IntelCPUInfo`
  Returns:
    true iff the CPU implements at least the p6 instruction set (Pentium II or better). Please note that an PentimPro CPU causes/should cause this method to return false (due to that CPU using a very early implementation of the p6 instruction set. No MMX etc.)

### IsPentium3Compatible

    public boolean IsPentium3Compatible()

  Specified by:
    `IsPentium3Compatible` in interface `IntelCPUInfo`
  Returns:
    true iff the CPU implements at least a Pentium III level of the p6 instruction/feature set.

### IsPentium4Compatible

    public boolean IsPentium4Compatible()

  Specified by:
    `IsPentium4Compatible` in interface `IntelCPUInfo`
  Returns:
    true iff the CPU implements at least a Pentium IV level instruction/feature set.

### getCPUModelString

    public java.lang.String getCPUModelString()
                                       throws UnknownCPUException

  Specified by:
    `getCPUModelString` in interface `CPUInfo`
  Returns:
    A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.
  Throws:
    `UnknownCPUException` - If for any reson the retrieval of the requested information failed. The message encapsulated in the execption indicates the cause of the failure.